import { jsx } from "react/jsx-runtime";
import { SwimmingPool as SwimmingPool$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SwimmingPool = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SwimmingPool", ...props, children: /* @__PURE__ */ jsx(SwimmingPool$1, { weight: variant }) });
  }
);
SwimmingPool.displayName = "SwimmingPool";
Object.assign(SwimmingPool, { isGdsIcon: true });
export {
  SwimmingPool
};
